

// // // //


СоздатьКнопкуМеню = мир =>
{
    var меню = document.createElement("div");
    меню.innerHTML = `
<a id="открыть-меню" uk-icon="icon: menu; ratio: 2"></a>
    `;
    меню.style = `
position: fixed;
left: 0;
top: 0;
margin: 0.5em;
    `;
    мир.окна.управление.элемент.appendChild(меню);
    
    $(`#открыть-меню`).click(function() {
        мир.уведомить("кнопка меню");
    });
};


// // // //


СообщитьТекущееЗначениеМасштаба = мир =>
{
    var масштаб = мир.масштаб * 100;
    var сообщение = `🔍 ${масштаб}%`;
    UIkit.notification({
        message: сообщение,
        timeout: 500
    });
};


// // // //


УменьшитьМасштаб = мир =>
{
    мир.масштаб -= 0.5;
    if (мир.масштаб < 1)
    {
        мир.масштаб = 1;
    }
    мир.уведомить("изменили масштаб");
};


// // // //


УвеличитьМасштаб = мир =>
{
    мир.масштаб += 0.5;
    мир.уведомить("изменили масштаб");
};


// // // //


СоздатьЭлементыУправленияМасштабом = мир =>
{
    var элементы = document.createElement("div");
    элементы.innerHTML = `
<ul class="uk-iconnav uk-iconnav-vertical">
    <li><a id="увеличить-масштаб" uk-icon="icon: plus; ratio: 2"></a></li>
    <li><a id="уменьшить-масштаб" uk-icon="icon: minus; ratio: 2"></a></li>
</ul>
    `;
    элементы.style = `
position: fixed;
right: 0;
top: 50%;
transform: translateX(-50%) translateY(-50%);
    `;
    мир.окна.управление.элемент.appendChild(элементы);
    
    $(`#увеличить-масштаб`).click(function() {
        мир.уведомить("кнопка увеличения масштаба");
    });
    $(`#уменьшить-масштаб`).click(function() {
        мир.уведомить("кнопка уменьшения масштаба");
    });
};


// // // //


ПоказатьОкноУправления = мир =>
{
    мир.окна.управление.элемент.style.display = "block";
};


// // // //


СоздатьОкноУправления = мир =>
{
    мир.окна.управление = {
        "указатель": "окно-управления",
    };

    var окно = document.createElement("div");
    окно.id = мир.окна.управление.указатель;
    document.body.appendChild(окно);
    окно.style = `
position: absolute;
left: 0;
top: 0;
right: 0;
bottom: 0;
    `;
    окно.style.display = "none";
    мир.окна.управление.элемент = окно;
};